The Syncfusion [.NET PDF library](https://www.syncfusion.com/pdf-framework/net/pdf-library?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) is a feature-rich and high-performance .NET PDF library that is used to create, read, and edit PDF documents programmatically without Adobe dependencies. 

## Key features:
* Support to [create PDF files](https://help.syncfusion.com/file-formats/pdf/create-pdf-file-in-asp-net-mvc?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) from scratch.
* Support to add [text](https://help.syncfusion.com/file-formats/pdf/working-with-text?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), various formats of [images](https://help.syncfusion.com/file-formats/pdf/working-with-images?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [tables](https://help.syncfusion.com/file-formats/pdf/working-with-tables?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [shapes](https://help.syncfusion.com/file-formats/pdf/working-with-shapes?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).
* Support for [creation](https://help.syncfusion.com/file-formats/pdf/working-with-forms?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#creating-a-new-pdf-form), [filling](https://help.syncfusion.com/file-formats/pdf/working-with-forms?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#filling-form-fields-in-an-existing-pdf-document) and [flattening](https://help.syncfusion.com/file-formats/pdf/working-with-forms?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#removing-editing-capability-of-form-fields) forms (AcroForms and XFA).  
* Open, modify and save existing PDF files.
* Support to [compress](https://help.syncfusion.com/file-formats/pdf/working-with-compression?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) existing PDF files.
* Ability to [merge](https://help.syncfusion.com/file-formats/pdf/merge-documents?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and split PDF files.
* Support for [Optical Character Recognition](https://help.syncfusion.com/file-formats/pdf/working-with-ocr?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) by using Tesseract engine. 
* Ability to convert [HTML](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions#mhtml-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [RTF](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#converting-rtf-documents-to-pdf), [Word](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#converting-word-documents-to-pdf), [Excel](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#converting-excel-documents-to-pdf), [PowerPoint](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [XPS](https://help.syncfusion.com/file-formats/pdf/working-with-document-conversions?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#converting-xps-document-to-pdf) to PDF.
* Ability to [encrypt and decrypt PDF](https://help.syncfusion.com/file-formats/pdf/working-with-security?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) files with advanced standards.
* Support to add, modify and remove interactive elements such as [bookmarks](https://help.syncfusion.com/file-formats/pdf/working-with-bookmarks?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [annotations](https://help.syncfusion.com/file-formats/pdf/working-with-annotations?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [attachments](https://help.syncfusion.com/file-formats/pdf/working-with-attachments?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).
* Support to add [barcode](https://help.syncfusion.com/file-formats/pdf/working-with-barcode?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) in the PDF files.
* Support to convert [PDF to PDF/A-1B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#converting-pdf-to-pdfa-1b) conformance.
* Support for [PDF/X1-A](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#adding-support-for-pdfx-1a-conformance),[PDF/A1-B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#adding-support-for-pdfa-1b-conformance),[PDF/A3-B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#adding-support-for-pdfa-2b-conformance) and [PDF/A1-B](https://help.syncfusion.com/file-formats/pdf/working-with-pdf-conformance?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#adding-support-for-pdfa-3b-conformance) conformances. 
* Support to create [accessible PDF or tagged PDF (PDF/UA)](https://help.syncfusion.com/file-formats/pdf/working-with-tagged-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) with section 508 compliant. 
* Support to [redact text and images](https://help.syncfusion.com/file-formats/pdf/working-with-redaction?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) in the PDF files.  
* Support to digitally [sign](https://help.syncfusion.com/file-formats/pdf/working-with-digitalsignature?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [validate](https://help.syncfusion.com/file-formats/pdf/working-with-digitalsignature?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) signature in PDF document. 
* Support to [find the corrupted PDF document](https://help.syncfusion.com/file-formats/pdf/working-with-document?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget#find-corrupted-pdf-document). 
* Support to run the PDF applications in multi-thread and its thread safe. 

## Getting Started

You can fetch the Syncfusion .NET MVC PDF library NuGet by simply running `Install-Package Syncfusion.Pdf.AspNet.Mvc5` from the Package Manager Console in Visual Studio.

You can also try some code examples of common use cases from our [GitHub Repository](https://github.com/syncfusion/ej2-aspnetmvc-samples/tree/master/Controllers/PDF?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).

## Create a PDF Document programmatically using C# 

The following code example illustrates how to create a PDF document.

```csharp
//Create a PDF document
PdfDocument document = new PdfDocument();
  
//Add a page to the document
PdfPage page = document.Pages.Add();
  
//Create PDF graphics for the page
PdfGraphics graphics = page.Graphics;
  
//Set the standard font
PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20);
  
//Draw the text
graphics.DrawString("Hello World!!!", font, PdfBrushes.Black, new PointF(0, 0));
  
//Save the document into file  
document.Save("sample.pdf");

//Close the document
document.Close(true);
```

## Manipulate the PDF document programmatically using C# 

The following code example illustrates how to manipulate the PDF document.

```csharp
//Load the PDF document
PdfLoadedDocument document = new PdfLoadedDocument("input.pdf");

//Get first page from document
PdfLoadedPage page = document.Pages[0] as PdfLoadedPage;

//Create PDF graphics for the page
PdfGraphics graphics = page.Graphics;

//Set the standard font.
PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20);

//Draw the text.
graphics.DrawString("Hello World!!!", font, PdfBrushes.Black, new Syncfusion.Drawing.PointF(0, 0));

//Save the document into file
document.Save("sample.pdf");

//Close the document.
document.Close(true);
```

## Resources
* **Product page:** [Syncfusion PDF Framework](https://www.syncfusion.com/pdf-framework/net?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)

* **Documentation:** [Syncfusion PDF library](https://help.syncfusion.com/file-formats/pdf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)

* **Online demo:** [Syncfusion PDF library - Online demos](https://ej2.syncfusion.com/aspnetmvc/PDF/Default?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)

* **Blog:** [Syncfusion PDF library - Blog](https://www.syncfusion.com/blogs/category/asp-net-mvc?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)
* **Knowledge Base:** [Syncfusion PDF library - Knowledge Base](https://www.syncfusion.com/kb/aspnetmvc-js2?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)
* **Ebooks:** [Syncfusion PDF library - Ebooks](https://www.syncfusion.com/succinctly-free-ebooks?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)
* **FAQ:** [Syncfusion PDF library - FAQ](https://www.syncfusion.com/faq/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)

## Support and feedback
* For any other queries, reach our [Syncfusion support team](https://www.syncfusion.com/support/directtrac/incidents/newincident?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) or post the queries through the [community forums](https://www.syncfusion.com/forums?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).
* Request new feature through [Syncfusion feedback portal](https://www.syncfusion.com/feedback/pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).

## License
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget). You can purchase a licnense [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget).

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20ASPNET%20MVC%20PDF%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-pdf-nuget) | Toll Free: 1-888-9 DOTNET